/*-----------------------------------------------------------------------
QMBTagger - Qt Based MusicBrainz MP3/OGG/FLAC Tagger
Copyright (C) 2003,2004 Ewen Cheslack-Postava

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-----------------------------------------------------------------------*/

#ifndef _QMBFILEVIEWRESULTITEM_H_
#define _QMBFILEVIEWRESULTITEM_H_

#include <qlistview.h>
class QMBMetadata;
class QMBFileViewFileItem;

class QMBFileViewResultItem : public QListViewItem
{
public:
	QMBFileViewResultItem(QListView * parent, QString label1, QString label2 = QString::null, QString label3 = QString::null, QString label4 = QString::null, QString label5 = QString::null, QString label6 = QString::null, QString label7 = QString::null, QString label8 = QString::null);
	~QMBFileViewResultItem();

	int GetIndex();
	void SetIndex(int i);

private:
	QListView* fileitem;
	int index;
};

#endif //define _QMBFILEVIEWRESULTITEM_H_
