/*-----------------------------------------------------------------------
QMBTagger - Qt Based MusicBrainz MP3/OGG/FLAC Tagger
Copyright (C) 2003,2004 Ewen Cheslack-Postava

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-----------------------------------------------------------------------*/
#ifndef _QCDLOOKUP_H_
#define _QCDLOOKUP_H_

#include <qvbox.h>
class QListView;
class QLabel;
class QPushButton;

class QCDLookup : public QVBox
{
	Q_OBJECT
public:
	QCDLookup(QWidget* parent=0, const char* name=0);

public slots:
	void CDLookup();

private:
	QListView* contentlist;
	QPushButton* lookupbutton;
	QLabel* numCD;
	QLabel* albumName;
	QLabel* albumID;
};

#endif //_QCDLOOKUP_H_
